# Class ExtractIsValueFunctionMixin

#### Hierarchy (View Summary)

- ExtractFormDefinitionMixin
- ExtractFunctionMixin
- ExtractControlMixin
  - ExtractIsValueFunctionMixin
    - AutocompleteOptionsFromMethodDirective

- Defined in packages/angular/form-system/src/lib/mixins/extract-is-value-function.mixin.ts:31
- Defined in packages/angular/form-system/src/lib/mixins/extract-is-value-function.mixin.ts:36

#####
Index

### Constructors

constructor

### Properties

control?
injector
matFormField?
ngControl

### Methods

extractControl
extractFormDefinition
extractFunction
extractFunctions
extractIsValueFunction

##
Constructors

### constructor

- new ExtractIsValueFunctionMixin(): ExtractIsValueFunctionMixin

  #### Returns ExtractIsValueFunctionMixin

  Inherited from ExtractControlMixin.constructor

##
Properties

### `Protected` `Optional` control

control?: RxapFormControl<any, any, any>

Inherited from ExtractControlMixin.control

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14

### `Protected` injector

injector: Injector

Inherited from ExtractFunctionMixin.injector

- Defined in packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:18

### `Protected` `Optional` matFormField

matFormField?: null | MatFormField

Inherited from ExtractControlMixin.matFormField

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:12

### `Protected` ngControl

ngControl: null | NgControl | AbstractControlDirective

Inherited from ExtractControlMixin.ngControl

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:10

##
Methods

### `Protected` extractControl

- extractControl(
  ngControl?: null | NgControl | AbstractControlDirective,
  ): RxapFormControl

  #### Parameters

  - ngControl: null | NgControl | AbstractControlDirective = ...

  #### Returns RxapFormControl

  Inherited from ExtractControlMixin.extractControl

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16

### `Protected` extractFormDefinition

- extractFormDefinition(control: AbstractControl): FormDefinition

  #### Parameters

  - control: AbstractControl

  #### Returns FormDefinition

  Inherited from ExtractFormDefinitionMixin.extractFormDefinition

  - Defined in packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10

### extractFunction

- extractFunction<Args extends any[], Result>(
  defaultFunction?: null | UseFunctionType<Args, Result>,
  formDefinition: FormDefinition,
  controlId: string,
  name: string,
  ): UseFunctionType<Args, Result>

  #### Type Parameters

  - Args extends any[]
  - Result

  #### Parameters

  - defaultFunction: null | UseFunctionType<Args, Result> = null
  - formDefinition: FormDefinition
  - controlId: string
  - name: string

  #### Returns UseFunctionType<Args, Result>

  Inherited from ExtractFunctionMixin.extractFunction

  - Defined in packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:20

### `Protected` extractFunctions

- extractFunctions(
  defaultMap?:
  | null
  | Map<
  string,
  UseFunctionDefinition<
  unknown,
  any[],
  UseFunctionConfig<unknown, any[], any, any[]>,
  >,
  >,
  formDefinition: FormDefinition,
  controlId: string,
  ): Map<
  string,
  UseFunctionDefinition<
  unknown,
  any[],
  UseFunctionConfig<unknown, any[], any, any[]>,
  >,
  >

  #### Parameters

  - defaultMap:
    | null
    | Map<
    string,
    UseFunctionDefinition<
    unknown,
    any[],
    UseFunctionConfig<unknown, any[], any, any[]>,
    >,
    > = null
  - formDefinition: FormDefinition
  - controlId: string

  #### Returns Map<
  string,
  UseFunctionDefinition<
  unknown,
  any[],
  UseFunctionConfig<unknown, any[], any, any[]>,
  >,
  >

  Inherited from ExtractFunctionMixin.extractFunctions

  - Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:43

### `Protected` extractIsValueFunction

- extractIsValueFunction(
  defaultFunction?: null | UseFunctionType<[any], boolean>,
  control?: RxapFormControl,
  formDefinition?: FormDefinition<any, any, any>,
  ): UseFunctionType<[any], boolean>

  #### Parameters

  - defaultFunction: null | UseFunctionType<[any], boolean> = null
  - control: RxapFormControl = ...
  - formDefinition: FormDefinition<any, any, any> = ...

  #### Returns UseFunctionType<[any], boolean>

  - Defined in packages/angular/form-system/src/lib/mixins/extract-is-value-function.mixin.ts:38